# module RubyVM::MJIT

`RubyVM::MJIT`

### Public Class Methods

enabled?() click to toggle source

Returns true if JIT is enabled

    static VALUE
    mjit_enabled_p(void)
    {
        return mjit_enabled ? Qtrue : Qfalse;
    }

pause(p1 = {}) click to toggle source

    static VALUE
    mjit_pause_m(int argc, VALUE *argv, RB_UNUSED_VAR(VALUE self))
    {
        VALUE options = Qnil;
        VALUE wait = Qtrue;
        rb_scan_args(argc, argv, "0:", &options);

        if (!NIL_P(options)) {
            static ID keyword_ids[1];
            if (!keyword_ids[0])
                keyword_ids[0] = rb_intern("wait");
            rb_get_kwargs(options, keyword_ids, 0, 1, &wait);
        }

        return mjit_pause(RTEST(wait));
    }